# $Revision: 1.24 $, $Date: 2010/04/03 17:19:26 $
Summary:	A software to do TCP/IP stack auditing and much more
Summary(pl.UTF-8):	Oprogramowanie do audytu stosu TCP/IP
Name:		hping2
%define		_rc	rc3
Version:	2.0.0
Release:	7
License:	GPL/BSD
Group:		Networking/Utilities
#Source0Download:	http://www.hping.org/download.html
Source0:	http://www.hping.org/hping%{version}-%{_rc}.tar.gz
# Source0-md5:	029bf240f2e0545b664b2f8b9118d9e8
Patch0:		%{name}-pcap.patch
URL:		http://www.hping.org/
BuildRequires:	libpcap-devel >= 2:0.8.1
Provides:	hping
Obsoletes:	hping
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
hping is a network tool able to send custom ICMP/UDP/TCP packets and
to display target replies like ping do with ICMP replies. hping
handle fragmentation, arbitrary packet body and size and can be used
in order to transfer files under supported protocols.

%description -l pl.UTF-8
hping to narzędzie sieciowe do wysyłania własnych pakietów
ICMP/UDP/TCP i wyświetlania odpowiedzi, podobnie jak robi to ping z
odpowiedziami ICMP. hping obsługuje fragmentację, dowolne zawartości
i rozmiary pakietów i może być używany do przesyłania plików przez
obsługiwane protokoły.

%prep
%setup -q -n %{name}-%{_rc}
%patch0 -p1

%build
MANPATH="%{_mandir}" \

%ifarch ppc sparc ppc64 sparc64 sparcv9
%define byteorder	-DBYTE_ORDER_BIG_ENDIAN
%else
%define byteorder	-DBYTE_ORDER_LITTLE_ENDIAN
%endif

./configure --force-libpcap
:>bytesex.h

%{__make} \
	CC="%{__cc}" \
	CCOPT="%{rpmcflags} %{byteorder}" \
	DEBUG=""

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man8}

install hping2 $RPM_BUILD_ROOT%{_sbindir}
install docs/hping2.8  $RPM_BUILD_ROOT%{_mandir}/man8

ln -sf hping2 $RPM_BUILD_ROOT%{_sbindir}/hping

rm -fR docs/CVS

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING *BUGS README TODO docs/[A-Z]*
%attr(755,root,root) %{_sbindir}/*
%{_mandir}/man8/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: hping2.spec,v $
Revision 1.24  2010/04/03 17:19:26  glen
- release 7

Revision 1.23  2007/02/13 07:47:11  glen
- tabs in preamble

Revision 1.22  2007/02/12 00:48:56  baggins
- converted to UTF-8

Revision 1.21  2004/08/19 16:48:50  undefine
- release 6

Revision 1.20  2004/08/19 16:41:21  undefine
- use byteorder from specfile, not detected (doesn't support amd64)

Revision 1.19  2004/05/03 18:20:57  areq
- 2.0rc3

Revision 1.18  2004/01/29 18:06:27  areq
- add pcap.patch for libpcap 0.8.1

Revision 1.17  2003/05/28 12:59:05  malekith
- massive attack: source-md5

Revision 1.16  2003/05/25 05:48:43  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.15  2003/03/31 23:24:38  qboosh
- fixed Source0 URL, noted download URL

Revision 1.14  2003/03/31 13:03:03  qboosh
- Name was OK - hping2 is currently actual program name

Revision 1.13  2002/12/29 00:43:55  blues
- package renamed to hping (there is no need to have such a crazy name....

Revision 1.12  2002/11/20 15:55:16  areq
- 2.0.0-rc2, STBR
- new %doc

Revision 1.11  2002/04/25 16:34:14  arturs
fixed a small typo

Revision 1.10  2002/04/25 14:54:09  kloczek
- use CC="%%{__cc}" in make parameters.

Revision 1.9  2002/02/23 02:30:45  kloczek
- adapterized.

Revision 1.8  2002/02/22 23:29:03  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.7  2002/01/31 21:31:04  ankry
- added Group(es/pt_BR)

Revision 1.6  2002/01/18 02:13:17  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.5  2001/11/30 08:10:54  qboosh
- pl description, cosmetics

Revision 1.4  2001/11/29 21:33:12  filon
- fixed broken %%doc
- release 2

Revision 1.3  2001/08/15 14:59:49  areq
- update 2.0.0-rc1
- update url

Revision 1.2  2001/05/02 16:29:06  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.1  2000/11/20 12:53:53  baggins
- initial revision
